import store from '@/store'
import TableTemplate from '@/framework/template/TablePageTemplate'
//tools
import basicutils from '@/framework/utils/basicutils'

export default {
    install: function(Vue) {
        Vue.prototype.hasPermission = function(permission) {
            return store.getters['layout/permissions'][permission]
        }

        Vue.component('table-page-template', TableTemplate)

        Vue.prototype.indexInArray = basicutils.indexInArray
        Vue.prototype.itemInArray = basicutils.itemInArray
        Vue.prototype.deleteInArray = basicutils.deleteInArray

        Vue.prototype.formatDate = function(date) {
            return basicutils.formatDateByPattern(date, 'yyyy-MM-dd HH:mm:ss')
        }

        Vue.filter('formatDateForMillisecond', function(value) {
            if (!value) return ''
            return basicutils.formatDateByPattern(new Date(value), 'yyyy-MM-dd')
        })

        Vue.filter('formatDateTimeForMillisecond', function(value) {
            if (!value) return ''
            return basicutils.formatDateByPattern(new Date(value), 'yyyy-MM-dd HH:mm:ss')
        })
    }
}
